//      Yasuharu Okamoto, 2017.07

data {
    int Npsn;                                   //      Number of persons
    int Nitm;                                   //      Number of items
    int Ntot;                                   //      Number of data,  Ntot = Nprn * Nitm
    int<lower = 1, upper = Npsn> IDpsn[Ntot];   //      Person ID
    int<lower = 1, upper = Nitm> IDitm[Ntot];   //      Item ID
    int<lower = 1, upper = 2> Res[Ntot];        //      Response-> 1: No,   2: Yes
}

parameters {
        real<lower = 0.0> a[Nitm];
        real b[Nitm];
        real F[Npsn];
}

transformed parameters {
    vector[2] p[Ntot];

    for (i in 1:Ntot){
        p[i][2] = inv_logit(1.7 * a[IDitm[i]] * (F[IDpsn[i]] - b[IDitm[i]]));
        p[i][1] = 1.0 - p[i][2];
    }
}

model {
    for (i in 1:Npsn)
        F[i] ~ normal(0.0, 1.0);
    for (i in 1:Ntot)
        Res[i] ~ categorical(p[i]);
}
